Debian Bug report logs - #496684
live-initramfs: panics during network boot if there is not network interface

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michal Suchanek <hramrach@centrum.cz>

Date: Tue, 26 Aug 2008 18:27:02 UTC

Severity: important

Fixed in version live-initramfs/1.154.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#496684; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <hramrach@centrum.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <hramrach@centrum.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-initramfs: panics during network boot if there is not network interface
Date: Tue, 26 Aug 2008 20:23:15 +0200
Package: live-initramfs
Severity: important


Hello

I am not exactly sure about the cause of this problem but it seems it is
because I tried http network boot and did not have any NIC supported by
Linux.

The symptom:

During the network boot the system panics. The last message is Runnnig
scripts/live-premount.

I burned the image on a CD and found the box has an Attansic L2 NIC
which requires a special separate kernel module. So my suspition is that
the live script fails and panics (exits) without leaving any useful
debug message.

This hould never happen. Every time the script exits it should print the
reason of the failure. Otherwise the user is left with kernel panic of
unknown cause.

Thanks

Michal


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#496684; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to "Michal Suchanek" <hramrach@centrum.cz>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 496684@bugs.debian.org (full text, mbox):

From: "Michal Suchanek" <hramrach@centrum.cz>
To: "Debian Bug Tracking System" <496684@bugs.debian.org>
Subject: Re: Bug#496684: live-initramfs: panics during network boot if there is not network interface
Date: Wed, 27 Aug 2008 09:46:07 +0200
On 26/08/2008, Michal Suchanek <hramrach@centrum.cz> wrote:
> Package: live-initramfs
>  Severity: important
>
>
>  Hello
>
>  I am not exactly sure about the cause of this problem but it seems it is
>  because I tried http network boot and did not have any NIC supported by
>  Linux.
>
>  The symptom:
>
>  During the network boot the system panics. The last message is Runnnig
>  scripts/live-premount.
>
>  I burned the image on a CD and found the box has an Attansic L2 NIC
>  which requires a special separate kernel module. So my suspition is that
>  the live script fails and panics (exits) without leaving any useful
>  debug message.
>
>  This hould never happen. Every time the script exits it should print the
>  reason of the failure. Otherwise the user is left with kernel panic of
>  unknown cause.

Yes, manually adding the atl2 module solves the problem for this system.

Thanks

Michal




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#496684; Package live-initramfs. (Sun, 23 Nov 2008 17:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 23 Nov 2008 17:15:06 GMT) Full text and rfc822 format available.

Message #15 received at 496684@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 496684@bugs.debian.org, 496684-submitter@bugs.debian.org
Subject: Re: live-initramfs: panics during network boot if there is not network interface
Date: Sun, 23 Nov 2008 18:13:03 +0100
tags 496684 +pending
thanks

fixed in git with:
http://git.debian.net/?p=debian-live/live-initramfs.git;a=commitdiff;h=8703c5a49e3a68c6297fb4c47b04164911daf81f;hp=cf08314f9ec0481e706a0b4c0123c3cd8918ecd0

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sun, 23 Nov 2008 17:15:07 GMT) Full text and rfc822 format available.

Message sent on to Michal Suchanek <hramrach@centrum.cz>:
Bug#496684. (Sun, 23 Nov 2008 17:15:10 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 25 Nov 2008 11:57:05 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <hramrach@centrum.cz>:
Bug acknowledged by developer. (Tue, 25 Nov 2008 11:57:06 GMT) Full text and rfc822 format available.

Message #25 received at 496684-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 496684-close@bugs.debian.org
Subject: Bug#496684: fixed in live-initramfs 1.154.1-1
Date: Tue, 25 Nov 2008 11:32:07 +0000
Source: live-initramfs
Source-Version: 1.154.1-1

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.154.1-1.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.1-1.diff.gz
live-initramfs_1.154.1-1.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.154.1-1.dsc
live-initramfs_1.154.1-1_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.154.1-1_all.deb
live-initramfs_1.154.1.orig.tar.gz
  to pool/main/l/live-initramfs/live-initramfs_1.154.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 496684@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 25 Nov 2008 12:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.154.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 496684
Changes: 
 live-initramfs (1.154.1-1) unstable; urgency=low
 .
   * Merging casper 1.140-1.154.
   * Add a warning message when no image can be found.
   * Adding a panic message when we netboot and have no supported network
     device (Closes: #496684).
   * Turning 'no supported filesystem images found' into a panic message,
     rather than a warning.
   * Also adding ralink to network device check.
   * Removing spurious 'livefs_root' in copy_live_to();.
Checksums-Sha1: 
 0394f6b892d0569cf59595ec6bdd86b67344dfa3 1298 live-initramfs_1.154.1-1.dsc
 a33149c4f3a2f10859a04bb73301cfafd1e54642 79707 live-initramfs_1.154.1.orig.tar.gz
 1f49728589f29edd568553936487744485cf1fde 9805 live-initramfs_1.154.1-1.diff.gz
 a4b402427b03744edf770143c9763b2fb9b2737e 86004 live-initramfs_1.154.1-1_all.deb
Checksums-Sha256: 
 13c15321db9676abadd81caa3c37a2a9acabf6637b741a05949ba6bb3809ab5f 1298 live-initramfs_1.154.1-1.dsc
 6f6044da1efc6e95ec5f7f2cf0c66a77d550e64bc822e1d9a28b61f0b98f25b4 79707 live-initramfs_1.154.1.orig.tar.gz
 56bb5d0530a5a67e42d041ba73032a55f8a2a6f459ca33f3127bb20a9b76c054 9805 live-initramfs_1.154.1-1.diff.gz
 5038161add9df7397240a5cb3dafae3f51de637e3c9647301b4f5cf6897a12a3 86004 live-initramfs_1.154.1-1_all.deb
Files: 
 cb5b642fe4d37e6dd1bc37a8bd8be5f7 1298 misc optional live-initramfs_1.154.1-1.dsc
 0d00a9747dd26282adbd0cd8a1742eee 79707 misc optional live-initramfs_1.154.1.orig.tar.gz
 6d4c0ba7e65d535373c2380ed928a1c6 9805 misc optional live-initramfs_1.154.1-1.diff.gz
 34590ae9a95a72c5877a09561b3542b8 86004 misc optional live-initramfs_1.154.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkr38UACgkQ+C5cwEsrK543JACdHi2oU9+jpcK26JUQPTz33YOz
fjgAnjA4ZZ60uNjLDQHE39XGhz4VjURM
=iLB/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 28 Dec 2008 07:43:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:16:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.